<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.smarking.mapper.report.reportsubject.MsrSubjectMapper">

    <!--综合报告-试题汇总表-全部班级-科目情况-->
    <select id="getSubjectBaseInfo" resultType="java.util.Map">
        select sid,examid,subjectid,avgscore,nd,qfd,maxscore,minscore,stunum from msr_subject
        where examid=#{examid} and subjectid=#{subjectid}
    </select>
    <!--综合报告-总概览-->
    <select id="listSubjectForZgl" resultType="java.util.Map">
        select sid,subjectid,subjectname
        ,totalnum,stunum,numrate
        ,fullscore,avgscore,scorerate
        ,bzc,nd,cyxs
        from msr_subject
        where examid=#{examid}
    </select>
    <!--科目分析列表-->
    <select id="listSubjectBySql" resultType="java.util.Map">
        select ${sql}
    </select>

</mapper>
